nixp.ru v3.0

17 октября 2017,
вторник,
23:14:27 MSK

DevOps с компанией «Флант»
anonymous написал 28 апреля 2005 года в 22:15 (397 просмотров) Ведет себя неопределенно; открыл 1814 темы в форуме, оставил 5575 комментариев на сайте.

в общем такая фигня…

У меня RH9 и звуковая плата avance logic ALS4000

в стандартных дровах она не определяется, поэтому я скачал alsa-driver-1.0.9… и сначала с помощью ./configure{трям трям параметры} откомпилировал, а потом уже из-за того что не работала сделал ./cvscompile — но всё равно звука нет, она определется в X прогой soundcard detection, но звука всё равно нет…. :(

Кто сталкивался помогите…. :)

metal

Попробуй посмотреть через миксер уровень звука, типа aumix

Fennel

попробуй пересобрать ядро с device pcm.

anonymous

в ядре ставим модулем, алсу и осс выключаем

компилим аслу лучше alsa-1.0.9-rc2

alsaconfig

alsamixer

если звука нет

lsmod в студию

anonymous

http://www.linux.com/howtos/BootPrompt-HOWTO-8.shtml

Оффтоп: мужики куда исчез сайт http://alsa-project.org/ у меня таймаут соединения …

anonymous

вот это появляется при загрузке(из /var/log/messages):

May 2 16:29:15 localhost insmod: /lib/modules/2.4.20-8/kernel/sound/acore/snd.o: insmod sound-slot-0 failed

May 2 16:29:15 localhost modprobe: modprobe: Can’t locate module sound-service-0-0

May 2 16:29:15 localhost insmod: /lib/modules/2.4.20-8/kernel/sound/acore/snd.o: insmod sound-slot-0 failed

May 2 16:29:15 localhost modprobe: modprobe: Can’t locate module sound-service-0-0

May 2 16:29:15 localhost modprobe: modprobe: Can’t locate module sound-slot-1

May 2 16:29:15 localhost modprobe: modprobe: Can’t locate module sound-service-1-0

May 2 16:29:15 localhost modprobe: modprobe: Can’t locate module sound-slot-1

May 2 16:29:15 localhost modprobe: modprobe: Can’t locate module sound-service-1-0

May 2 16:29:16 localhost insmod: /lib/modules/2.4.20-8/kernel/sound/acore/snd.o: insmod sound-slot-0 failed

May 2 16:29:16 localhost modprobe: modprobe: Can’t locate module sound-service-0-3

May 2 16:29:46 localhost insmod: /lib/modules/2.4.20-8/kernel/sound/acore/snd.o: insmod sound-slot-0 failed

May 2 16:29:46 localhost modprobe: modprobe: Can’t locate module sound-service-0-3

May 2 16:55:43 localhost insmod: /lib/modules/2.4.20-8/kernel/sound/acore/snd.o: insmod sound-slot-0 failed

May 2 16:55:43 localhost modprobe: modprobe: Can’t locate module sound-service-0-3

При запуске из основного меню ’soundcard detection' появляется надпись: «The snd-als4000 driver could not be loaded. This soundcard may not be compatible with Red Hat Linux.»

Когда выполняю команду '#alsamixer set Master 100 unmute' то пишет следующее’alsamixer: function snd_ctl_open failed for default: No such file or directory'

если с помощью aumix -v 100 unmute, то пишет 'aumix: error opening mixer'

=======================

Млин помогите, а то я уже незнаю даже что читать, чтобы услышать как разговаривает linux…

+++++++++++++++++++++++++++++++++++++++++++++++++++++

на www.alsa-project.org сам уже неделю не могу попасть… А вот ftp у них работает!

anonymous

а вот мой lsmod:

Module Size Used by Not tainted

ppp_deflate 4408 0 (autoclean)

zlib_deflate 21176 0 (autoclean) [ppp_deflate]

ppp_async 9312 0 (autoclean)

ppp_generic 24156 0 (autoclean) [ppp_deflate ppp_async]

slhc 6644 0 (autoclean) [ppp_generic]

soundcore 6276 0 (autoclean)

r128 87288 10

agpgart 46752 3

parport_pc 18756 1 (autoclean)

lp 8868 0 (autoclean)

parport 36480 1 (autoclean) [parport_pc lp]

autofs 12948 0 (autoclean) (unused)

ipt_REJECT 3896 6 (autoclean)

iptable_filter 2380 1 (autoclean)

ip_tables 14648 2 [ipt_REJECT iptable_filter]

keybdev 2880 0 (unused)

mousedev 5428 1

hid 21700 0 (unused)

input 5792 0 [keybdev mousedev hid]

usb-uhci 25868 0 (unused)

usbcore 77696 1 [hid usb-uhci]

ext3 69984 2

jbd 51220 2 [ext3]

anonymous

Млин ну неужели никто не знает?

Чё за фак….

А в федоре коре как со звуком? Также или там всё ок?

Genie

данная звуковая плата точно поддерживается ALSA, входящей в состав ядра 2.6.10 (это, вроде бы, ALSA 1.0.6), модуль snd-als4000.

либо ставь эту версию (или старше) ALSA, либо обновляй ядро до этой (или старшей) версии. в процессе, правда, тебе надо будет много обновить — modutils, module-init-tools, ещё чего-то.. в общем, проще взять дистрибутив поновее. ;)

для OSS я модуля что-то найти не могу. либо нет вовсе, либо плата «прикидывается» чьим-то развитием.

anonymous

OK!

Спасибо…